// General Classes
.absolute {
  position: absolute;
}

.relative {
  position: relative;
}

.display-block {
  display: block;
}

.display-block--xs {
  @include respondto(phone) {
    display: block;
  }
}

.display-inline-block {
  display: inline-block;
}

.text-uppercase {
  text-transform: uppercase;
}

.text-underline {
  text-decoration: underline;
}

.clearfix {
  clear: both;
}

.hide {
  display: none;
}

.no-wrap {
  white-space: nowrap;
}

.text-center--xs {
  @include respondto(phone) {
    text-align: center;
  }
}

.text-left--xs {
  @include respondto(phone) {
    text-align: left;
  }
}
.text-right--xs {
  @include respondto(phone) {
    text-align: right;
  }
}
.full-width {
  width: 100%;
}

.full-width--xs {
  @include respondto(phone) {
    width: 100%;
  }
}

// Object fit
.object-fit-cover {
  object-fit: cover;
  font-family: 'object-fit: cover; object-position: center';
}

.object-position-top {
  object-position: top;
}

.object-position-center {
  font-family: 'object-position: center center';
  object-position: center center;
}

.background-position {
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: -1;
}

.number-block {
  background-color: palette(primary);
  border-radius: 100%;
  color: palette(white);
  display: inline-block;
  font-family: 'futura-medium';
  line-height: 3rem;
  padding: 2.7rem;
  height: 8rem;
  width: 8rem;
}

.small-padding-block {
  >div {
    @include respondto(desktopAndTablet) {
      padding-right: 1rem;
      padding-left: 1rem;
    }
  }
}

// Margins
@for $i from 1 through 11 {
  .margin-top-#{$i} {
    margin-top: #{$i}rem;
  }
}

@for $i from 1 through 11 {
  .margin-bottom-#{$i} {
    margin-bottom: #{$i}rem;
  }
}

@for $i from 1 through 6 {
  .margin-top-#{$i}--xs {
    @include respondto(phone) {
      margin-top: #{$i}rem;
    }
  }
}

@for $i from 1 through 6 {
  .margin-bottom-#{$i}--xs {
    @include respondto(phone) {
      margin-bottom: #{$i}rem;
    }
  }
}

// Paddings
@for $i from 1 through 6 {
  .padding-top-#{$i} {
    padding-top: #{$i}rem;
  }
}

@for $i from 1 through 6 {
  .padding-left-#{$i} {
    padding-left: #{$i}rem;
  }
}

@for $i from 1 through 12 {
  .padding-bottom-#{$i} {
    padding-bottom: #{$i}rem;
  }
}

@for $i from 1 through 6 {
  @include respondto(phone) {
    .padding-top-#{$i}--xs {
      padding-top: #{$i}rem;
    }
  }
}

@for $i from 1 through 6 {
  @include respondto(phone) {
    .padding-bottom-#{$i}--xs {
      padding-bottom: #{$i}rem;
    }
  }
}

@for $i from 0 through 6 {
  @include respondto(phone) {
    .padding-left-#{$i}--xs {
      padding-left: #{$i}rem;
    }
  }

  @for $i from 1 through 6 {
    @include respondto(phone) {
      .padding-right-#{$i}--xs {
        padding-right: #{$i}rem;
      }
    }
}





.no-margin {
  margin: 0;
}

.no-padding {
  padding: 0;
}

.no-padding-xs {
  @include respondto(phone) {
    padding: 0;
  }
}

.no-margin-xs {
  @include respondto(phone) {
    margin: 0;
  }
}

.grey-bk {
  background-color: palette(grey,light);
}

.grey-bottom-border {
  border-bottom: 1px solid palette(grey, light5);
}

.grey-bottom-border-xs {
  @include respondto(phone) {
    border-bottom: 1px solid palette(grey, light5);
  }
}
.resp-container {
  overflow: hidden;
  position: relative;
  padding-top: 63.25%;
}
.resp-iframe {
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  border: 0;
}
// Custom placeholder styles
@include placeholder {
  font-size: 1.6rem;
}

// Custom list styles
.checked-list,
.denied-list {
  list-style: none;

  .item {
    position: relative;
    padding: 0.3rem 0 0.3rem 4rem;

    &:before {
      float: left;
      left: 0;
      padding-right: 1rem;
      position: absolute;
      top: 0.4rem;
    }

    &-title {
      color: palette(primary);
      font-size: 2.4rem;
      font-weight: 500;
      line-height: 3.2rem;
    }

    &-details {
      font-size: 1.4rem;
      line-height: 2.2rem;
      margin: 0;
    }
  }
}

.checked-list {
  .item {
    &:before {
      content: url(/src/resources/images/how-unions-work/combined-shape.png);
    }
  }
}

.denied-list {
  .item {
    &:before {
      content: url(/src/resources/images/how-unions-work/combined-shape-x.png);
    }
  }
}
}